Subject: bug#14175: 24.3.50; Bad completion behavior with read-file-name-completion-ignore-case t

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Aug 2021 03:03:44 +0200

Michael Heerdegen <[email-masked]> writes:

> (setq read-file-name-completion-ignore-case t
>       completion-auto-help t)
>
> In my "~/", I have, among other files,
>
>   lrwxrwxrwx   1 micha micha    9 Feb  3 20:00 download -> Downloads
>   drwxr-xr-x  11 micha micha 4,0K Apr  9 15:40 Downloads
>
> I hit C-x d ~/Down TAB
>
> Emacs completes the minibuffer to
>
>   ~/Download
>
> Since this is no valid completion, it should pop up *Completions*, but
> it doesn't (first issue).  I hit TAB a second time.  I get this in *Completions*:
>
>   Click <mouse-2> on a completion to select it.
>   In this buffer, type RET to select the completion near point.
>
>   Possible completions are:
>   Download/
>   Downloads/
>
> It doesn't offer "download".  If I click on "Download/", I get the
> message
>
>   `mouse-choose-completion' is an obsolete command (as of 23.2); use
>   `choose-completion' instead.
>
> (second issue)
>
> Then it completes the minibuffer content to "~/Download/".  But this
> doesn't exist (third and major issue).  I get an error when hitting RET
> (of course).

I can't reproduce either of these issues in Emacs 28.  Are you still
seeing this in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no